Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class ToolbarGroupRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.html.ToolbarRendererBase
                  org.richfaces.renderkit.html.ToolbarGroupRenderer

    public class ToolbarGroupRenderer

extends ToolbarRendererBase

Nested Class Summary

Nested classes/interfaces inherited from class org.richfaces.renderkit.html.ToolbarRendererBase
`ToolbarRendererBase.ItemSeparators, ToolbarRendererBase.Locations`

Field Summary
`static java.lang.String` | `RENDERER_TYPE`

Fields inherited from class org.richfaces.renderkit.html.ToolbarRendererBase
`ITEMS_HANDLER_ATTRIBUTES`

Constructor Summary
`ToolbarGroupRenderer()`

Method Summary
`void` | `encodeChildren(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected java.lang.Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()` Get base component slass , targetted for this renderer.
`AbstractToolbar` | `getParentToolBar(javax.faces.component.UIComponent component)`
`boolean` | `getRendersChildren()`

Methods inherited from class org.richfaces.renderkit.html.ToolbarRendererBase
`encodeClientItemID, getHeightToolbar, getOptions, getWidthToolbar, insertDefaultSeparatorIfNeed, insertSeparatorIfNeed, isPropertyRendered, renderColElements`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeEnd, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RENDERER_TYPE

    public static final java.lang.String RENDERER_TYPE

See Also:
  Constant Field Values

Constructor Detail

### ToolbarGroupRenderer

    public ToolbarGroupRenderer()

Method Detail

### getComponentClass

    protected java.lang.Class<? extends javax.faces.component.UIComponent> getComponentClass()

  Description copied from class: `RendererBase`
  Get base component slass , targetted for this renderer. Used for check arguments in decode/encode.

  Overrides:
    `getComponentClass` in class `ToolbarRendererBase`
  Returns:

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `ToolbarRendererBase`

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Overrides:
    `encodeChildren` in class `ToolbarRendererBase`
  Throws:
    `java.io.IOException`

### getParentToolBar

    public AbstractToolbar getParentToolBar(javax.faces.component.UIComponent component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.